Bug 836211 - LVMError: lvdeactivate failed for lv_backup: Logical volume vg_serge/lv_backup contains a filesystem in use.
LVMError: lvdeactivate failed for lv_backup: Logical volume vg_serge/lv_bac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:726d8a6e2a25a4e6e043026673b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 07:23 EDT by Daniel Scott
Modified: 2013-07-31 19:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-49eLJm (852.75 KB, text/plain)
2012-06-28 07:23 EDT, Daniel Scott
no flags Details

  None (edit)
Description Daniel Scott 2012-06-28 07:23:12 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-49eLJm
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.i686
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Thu 28 Jun 2012 07:22:16 AM EDT
version:        17

anaconda-tb-49eLJm: Text file, 873218 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devicelibs/lvm.py", line 385, in lvdeactivate
:    raise LVMError("lvdeactivate failed for %s: %s" % (lv_name, msg))
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 2598, in _teardown
:    lvm.lvdeactivate(self.vg.name, self._name)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/devices.py", line 764, in teardown
:    self._teardown(recursive=recursive)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 283, in __init__
:    device.teardown()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 990, in destroyDevice
:    action = ActionDestroyDevice(device)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/partIntfHelpers.py", line 145, in doDeleteDevice
:    storage.destroyDevice(device)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/partition_gui.py", line 1358, in deleteCB
:    device):
:LVMError: lvdeactivate failed for lv_backup:   Logical volume vg_serge/lv_backup contains a filesystem in use.
:

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.eMNo11
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=America/New_York
:XAUTHORITY=/root/.xauthUeYUXY
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=true
:_=/sbin/anaconda
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1219-0-localhost.localdomain_TIME0
Comment 1 Daniel Scott 2012-06-28 07:23:18 EDT
Created attachment 594996 [details]
File: anaconda-tb-49eLJm
Comment 2 David Lehman 2012-06-28 11:08:24 EDT
Did you mount vg_serge-lv_backup somewhere and not unmount it before running the installer? If so, you should unmount it before you run the installer. If not, please attach the contents of /proc/mounts.
Comment 3 Daniel Scott 2012-06-28 11:30:49 EDT
Yes, I did - I had to do some maintenance before running the installer.

I don't think it's great that the installer crashes this badly though - it rebooted the live image.

Couldn't it could prompt the user that the filesystems are mounted and allow them to unmount and then check again?
Comment 4 Fedora End Of Life 2013-07-03 18:12:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:55:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.